@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700;800;900&display=swap');

/*=============== VARIABLES CSS ===============*/
:root {
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --on-color: hsl(188, 90%, 90%);
  --off-color: hsl(188, 60%, 30%);
  --bg-off-color: linear-gradient(180deg,
      hsl(203, 100%, 16%) 0%,
      hsl(203, 65%, 36%) 100%);
  --bg-on-color: radial-gradient(30% 65% at 30% 50%,
      hsl(188, 100%, 50%) 0%,
      hsla(188, 100%, 45%, 0%) 100%);
  --body-color: linear-gradient(180deg,
      hsl(188, 68%, 72%) 0%,
      hsl(192, 60%, 56%) 100%);
  --white-color: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  overflow: hidden;
  background: linear-gradient(45deg, #061de3, #e306ca);
  background-image: url("2.jpg");
  font-family: 'Rubik', sans-serif;
  color: rgb(211, 211, 211);
  display: flex;
  justify-content: center;
  align-items: center;
}



/* CARD */
.title {
  font-size: 1.5rem;
  position: absolute;
  top: 3rem;
  color: #fff;
  text-transform: uppercase;
  padding: 1rem;
  background: rgba(0, 0, 0, 0.7);
  border-radius: 5rem;
  z-index: 5;
}

.contacts__title {
  position: absolute;
  bottom: .5rem;
  text-align: center;
  color: #fff;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1rem;
}

.container {
  width: 17rem;
  height: 26rem;
  perspective: 80rem;
}

.rotate__card {
  transform: rotateY(180deg) rotateZ(180deg);
}

.rotate__card-service {
  transform: rotateY(-180deg) rotateZ(-180deg);
}

.card {
  height: 100%;
  width: 100%;
  position: relative;
  transition: transform 1500ms;
  transform-style: preserve-3d;
}

.front,
.back,
.back_service {
  height: 100%;
  width: 100%;
  border-radius: 2rem;
  box-shadow: 0px 0px 50px 8px rgba(255, 255, 255, 0.178);
  position: absolute;
  backface-visibility: hidden;
}

.front {
  background-image: url("IMG2.JPG");
  background-size: cover;
  background-repeat: no-repeat;
}

.back {
  background-color: #3a3a3a;
  transform: rotateY(180deg) rotateZ(180deg);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  text-align: center;
  visibility: hidden;
  transition: 1s;
}

.back_service {
  background-color: #3a3a3a;
  transform: rotateY(180deg) rotateZ(180deg);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  text-align: center;
  visibility: hidden;
  transition: 1s;
}

.hide_back {
  visibility: visible;
}

.about {
  position: absolute;
  bottom: 0;
  border-top: 2px solid #38c7f9;
  border-right: 2px solid #38c7f9;
  border-top-right-radius: .5rem;
  border-bottom-left-radius: 2rem;
  padding: .5rem;
  color: #fff;
  font-weight: 500;
  width: 8rem;
  text-align: center;
  cursor: pointer;
  background-color: rgba(56, 199, 249, .3);
  transition: .3s;
}

.services {
  position: absolute;
  bottom: 0;
  right: 0;
  border-top: 2px solid #38c7f9;
  border-left: 2px solid #38c7f9;
  border-top-left-radius: .5rem;
  border-bottom-right-radius: 2rem;
  padding: .5rem;
  color: #fff;
  font-weight: 500;
  width: 8rem;
  text-align: center;
  cursor: pointer;
  background-color: rgba(56, 199, 249, .3);
  transition: .3s;
}

.about:hover,
.services:hover {
  background-color: rgba(56, 199, 249, 1);
}

.close__about {
  position: absolute;
  top: 0;
  right: 0;
  border-bottom-left-radius: .5rem;
  margin-top: .7rem;
  margin-right: .9rem;
  color: #fff;
  font-weight: 500;
  font-size: 1.25rem;
  width: 1rem;
  text-align: center;
  cursor: pointer;
  transition: .3s;
}

.close__about:hover {
  color: red;
}

.card__description {
  text-align: center;
  margin: 1rem;
  font-size: .8rem;
  font-weight: 500;
}

p {
  text-align: center;
  padding-left: 1rem;
  padding-right: 1rem;
  font-size: .9rem;
  margin-bottom: 1rem;
  font-weight: 500;
}

/* CARD */



/* СОЦСЕТИ */
nav {
  position: absolute;
  bottom: 3rem;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: grab;
}

nav .nav-content {
  display: flex;
  align-items: center;
  justify-content: center;
  transform: rotate(-45deg);
}

.nav-content .toggle-btn,
.nav-content span a {
  height: 3rem;
  width: 3rem;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.nav-content .toggle-btn {
  background-image: url("img/plus.png");
  z-index: 100;
  cursor: pointer;
  transform: rotate(-225deg);
  transition: all 0.6s ease;
}

nav.open .toggle-btn {
  transform: rotate(0deg);
}

.nav-content span {
  position: absolute;
  transition: all 0.6s ease;
  opacity: 0;
}

nav.open .nav-content span {
  transform: rotate(calc(var(--i) * (360deg/8))) translateY(120px);
  opacity: 1;
}

.nav-content span a {
  text-decoration: none;
  transition: .3s;
}

.nav-content span a:hover {
  box-shadow: 0px 0px 4px 4px rgba(255, 255, 255, 0.7);
}

.first {
  background-image: url("img/phone-call.png");
  transform: rotate(-90deg);
}

.second {
  background-image: url("img/whatsapp.png");
  transform: rotate(-135deg);
}

.third {
  background-image: url("img/telegram.png");
  transform: rotate(180deg);
  z-index: 1000;
}

.fourth {
  background-image: url("img/instagram.png");
  transform: rotate(45deg);
}

.fifth {
  background-image: url("img/facebook.png");
  transform: rotate(90deg);
}

.nav-content span a i {
  font-size: 24px;
  color: #0e2431;
  transform: rotate(calc(var(--i) * (360deg/ -8)));
  opacity: 0.8;
  transition: 0.2s;
}

.nav-content span a:hover i {
  opacity: 1;
}

.pulse::before,
.pulse::after {
  content: '';
  position: absolute;
  border: 2px solid #38c7f9;
  left: -20px;
  opacity: 0;
  right: -20px;
  top: -20px;
  bottom: -20px;
  border-radius: 50%;
  animation: pulse 2.5s linear infinite;
}

.pulse::after {
  animation-delay: 1.25s;
}

@keyframes pulse {
  0% {
    transform: scale(0.5);
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    transform: scale(1.2);
    opacity: 0;
  }
}

/* СОЦСЕТИ */




.toggle {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: absolute;
  width: 90px;
  height: 32px;
  top: .3rem;
  /* right: 1.5rem; */
}

.toggle__check {
  display: none;
}

.toggle__img {
  border-radius: 4rem;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.toggle__base {
  display: block;
  position: relative;
  width: 100%;
  height: 100%;
  background: var(--bg-off-color);
  border-radius: 4rem;
  box-shadow: inset -2px 2px 6px hsla(0, 0%, 0%, .8);
  cursor: pointer;
}

/* Toggle button */
.toggle__button,
.toggle__button-1,
.toggle__button-2 {
  position: absolute;

  border-radius: 4rem;
}

.toggle__button {
  width: 56px;
  height: 30px;
  background: linear-gradient(90deg,
      hsl(188, 96%, 76%) 0%,
      hsl(200, 80%, 28%) 100%);
  top: 1px;
  left: 2px;
  box-shadow: 0px 8px 24px hsla(0, 0%, 0%, .6),
    0px 2px 6px hsla(0, 0%, 0%, .3),
    0px 1px 3px hsla(0, 0%, 0%, .3);
  z-index: 2;
  transition: transform .3s ease-in-out;
}

.toggle__button-1 {
  width: 46px;
  height: 28px;
  background: linear-gradient(90deg,
      hsl(200, 85%, 35%) 0%,
      hsl(188, 65%, 65%) 50%,
      hsl(188, 96%, 95%) 100%);
  top: 1px;
  left: 5px;
  filter: blur(2px);
}

.toggle__button-2 {
  width: 48px;
  height: 28px;
  background: linear-gradient(90deg,
      hsl(200, 85%, 35%) 0%,
      hsl(188, 70%, 60%) 50%,
      hsl(188, 100%, 85%) 100%);
  top: 1px;
  left: 4px;
  box-shadow: 2px 0 4px hsla(0, 0%, 0%, .3);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3px;
}

/* Toggle lines */
.toggle__line {
  display: block;
  width: 2px;
  height: 12px;
  background-color: var(--white-color);
  box-shadow: 1.8px 0 0 hsla(0, 0%, 0%, .3);
}

/* Toggle status */
.toggle__on,
.toggle__off {
  width: 13px;
  height: 13px;
  border-radius: 50%;
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto 0;
  transition: border .3s ease-in-out;
}

.toggle__on {
  border: 2px solid var(--on-color);
  left: -18px;
}

.toggle__off {
  border: 2px solid var(--off-color);
  right: -18px;
}

.toggle__off::after {
  content: "";
  position: absolute;
  inset: 0;
  margin: auto;
  width: 5px;
  height: 5px;
  background-color: var(--off-color);
  border-radius: 50%;
  transition: background .3s ease-in-out;
}

/* Toggle radial */
.toggle__radial {
  width: inherit;
  height: inherit;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: inherit;
  background: var(--bg-on-color);
  mix-blend-mode: color-dodge;
  filter: blur(4px);
  object-fit: cover;
  object-position: center;
  z-index: 1;
  opacity: 0;
  transition: opacity .3s;
}

/* Toggle animation effects */
.toggle__check:checked~.toggle__button {
  transform: translateX(30px);
}

/* Toggle animation on - off */
.toggle__check:checked~.toggle__on {
  border: 2px solid var(--off-color);
}

.toggle__check:checked~.toggle__off {
  border: 2px solid var(--on-color);
}

.toggle__check:checked~.toggle__off::after {
  background-color: var(--on-color);
}

/* Toggle animation radial */
.toggle__check:checked~.toggle__radial {
  opacity: .8;
}

.counttry__flag {
  position: absolute;
  top: .2rem;
  margin-right: 11rem;
  font-size: 1.5rem;
  transition: .3s;
}

.flag_poland {
  margin-right: -11rem;
}

.devby {
  position: absolute;
  right: -4.5rem;
  transform: rotateZ(-90deg);
  color: #fff;
  font-weight: 600;
}

.akrach {
  color: #fff;
  font-weight: 600;
  text-decoration: none;
  transition: .3s;
}

.akrach:hover {
  color: #38c7f9;
}



@media screen and (min-width: 1000px) {
  .title {
    font-size: 2rem;
    /* margin-top: 1rem; */
  }

  .container {
    width: 18rem;
    height: 27rem;
    perspective: 80rem;
  }
}